org.apache.hc.client5.http

## Interface DnsResolver

All Known Implementing Classes:
  InMemoryDnsResolver, SystemDefaultDnsResolver

    @Contract(threading=STATELESS)
    public interface DnsResolver

Users may implement this interface to override the normal DNS lookup offered by the OS.

Since:
  4.2

### Method Summary

All Methods Instance Methods Abstract Methods
`InetAddress[]` `resolve(String host)` Returns the IP address for the specified host name, or null if the given host is not recognized or the associated IP address cannot be used to build an InetAddress instance.
`String` `resolveCanonicalHostname(String host)` Gets the fully qualified domain name for given host name.

### Method Detail

#### resolve

    InetAddress[] resolve(String host)
                   throws UnknownHostException

Returns the IP address for the specified host name, or null if the given host is not recognized or the associated IP address cannot be used to build an InetAddress instance.

Parameters:
  `host` - The host name to be resolved by this resolver.
Returns:
  The IP address associated to the given host name, or null if the host name is not known by the implementation class.
Throws:
  `UnknownHostException`
See Also:
  `InetAddress`

#### resolveCanonicalHostname

    String resolveCanonicalHostname(String host)
                             throws UnknownHostException

Gets the fully qualified domain name for given host name.

Throws:
  `UnknownHostException`
Since:
  5.0